Bug 499935 - virt manager install of guest doesnt work
virt manager install of guest doesnt work
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 00:54 EDT by solanum
Modified: 2009-08-31 09:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-31 09:13:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt manager log (549.24 KB, application/octet-stream)
2009-05-11 21:36 EDT, solanum
no flags Details
virt-manager log (573.42 KB, text/plain)
2009-05-11 22:43 EDT, solanum
no flags Details
virtsh output (452 bytes, text/plain)
2009-05-12 15:34 EDT, solanum
no flags Details

  None (edit)
Description solanum 2009-05-09 00:54:04 EDT
Description of problem:



I am trying to install Solaris X86 u7 (the latest) from the dvd iso file using virt manager.


Summary screen:
virtualization method: full
initial memory: 812
virtual cpu's 

OS: sun solaris x86
Disk image: /opt/image/solaris.img
Disk size: 14000
connection type: virtual network

enable audio: true. 

It initializes the disk image file, then it ends up erroring out with: 

----
Unable to complete install '<class 'libvirt.libvirtError'> internal error Cannot find QEMU binary /usr/lib/xen/bin/qemu-dm: No such file or directory
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 723, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 732, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 767, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib/python2.5/site-packages/libvirt.py", line 915, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error Cannot find QEMU binary /usr/lib/xen/bin/qemu-dm: No such file or directory
'

-----

This appears to me to be some path not getting set correctly in the management scripts. 

ln -s /usr/bin/qemu-kvm /usr/lib/xen/bin/qemu-dm

and correcting a few selinux issues got me to the install. 


booting solaris media I get:
Warning: /pci@0,0/pci8086,7020@1,2 (uhci0: No SOF interrupts have been received, this USB UHCI host controller is unusable

It appears I have no USB Solaris support for at least their installer. 

Is this a bug in kvm/qemu or should this be filed with Sun?

I apologize this probably should be two separate bugs. 

Please contact me if i need to file a sun bug report or if you need more info.
Comment 1 Mark McLoughlin 2009-05-11 06:37:35 EDT
https://fedoraproject.org/wiki/Reporting_virtualization_bugs

Could you attach ~/.virt-manager.log? Also the versions of libvirt, python-virtinst, virt-manager

/usr/lib/xen/bin/qemu-dm is relevant when you're using Xen, so it appears virt-manager/libvirt thinks this is a Xen host?
Comment 2 solanum 2009-05-11 21:36:53 EDT
Created attachment 343524 [details]
virt manager log

the last attempt to use this, i changed the vm references from xen to kvm for the last attempt.  It crapped out in the same spot. Virtual manager hangs and you have to force quit it. 

It is crapping out in the install at loading java if you enable any kind of gui, and right after probing for zfs using either kvm or the zen configuration.
Comment 3 solanum 2009-05-11 21:42:25 EDT
This is Fedora 10
[root@orc .virt-manager]# rpm -q libvirt python-virtinst virt-manager
libvirt-0.5.1-2.fc10.i386
python-virtinst-0.400.0-5.fc10.noarch
virt-manager-0.6.0-5.fc10.i386

(the gui issue was reported by someone else and filed as another bug.) 

Let me know if you need more info.
Comment 4 solanum 2009-05-11 22:27:30 EDT
alright.
deleted the /etc/libvirt/qemu/solarisx86.xml config file. restarted libvirt. 
(no idea why it was using xen to begin with, and i had retried with kvm, but i wonder if i didnt restart kvm and it rewrote the original config file back?)

it got through the install interface 
crapped out at:

Preparing system for Solaris install


Configuring disk (c0d0)
   - Creating Fdisk partition table

ERROR: Could not create Fdisk partition table

ERROR: Could not label disks

ERROR: Could not update disks with new configuration
mkdir: "/a/var/sadm/launcher": Read-only file system

Could not update disks with new configuration
Fatal Error
Solaris installation program exited. 
---
Comment 5 solanum 2009-05-11 22:43:49 EDT
Created attachment 343526 [details]
virt-manager log

reattaching the updated virt-manager log from the install as it includes the version that crapped out at making the partitions. 

note: it did NOT give me an option for picked full emulation and there wasnt a drop down for xen/kvm emulator, it autopicked xen.
Comment 6 solanum 2009-05-11 23:17:10 EDT
the last issue I believe was selinux since i changed the name of the vm file.... doh.
Comment 7 Daniel Berrange 2009-05-12 06:35:46 EDT
This isn't making much sense to me. virt-manager clearly connected to the QEMU driver:

[Mon, 11 May 2009 21:44:39 virt-manager 4192] DEBUG (connection:372) Scheduling background open thread for qemu:///system


But it is deciding the the hypervisor type is 'Xen'

[Mon, 11 May 2009 21:47:07 virt-manager 4192] DEBUG (create:667) Creating a VM solaris10x86
  Type: xen
  UUID: 3f1b0314-3d67-edd7-82f7-9d154af4c8cd
  Source: /home/picasso/Download/sol-10-u7-ga-x86-dvd.iso
  OS: Sun Solaris 10
  Kickstart: 
  Memory: 512
  Max Memory: 512
  # VCPUs: 1
  Filesize: 11.71875
  Disk image: /opt/images/solaris10x86.img
  Non-sparse file: True
  Audio?: True


Likewise generating XML for type='xen', which is only valid when connected to the Xen driver in libvirt - this isn't even valid for xenner, which is still type=kvm, but with an OS type of xen instead of hvm:

<domain type='xen'>
  <name>solaris10x86</name>
  <currentMemory>524288</currentMemory>
  <memory>524288</memory>
  <uuid>3f1b0314-3d67-edd7-82f7-9d154af4c8cd</uuid>
  <os>
    <type arch='i686'>hvm</type>
    <loader>/usr/lib/xen/boot/hvmloader</loader>
    <boot dev='cdrom'/>
  </os>
  <features>
    <acpi/><apic/><pae/>
  </features>
  <clock offset="utc"/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <vcpu>1</vcpu>
  <devices>
    <emulator>/usr/lib/xen/bin/qemu-dm</emulator>
    <console type='pty'/>
    <disk type='file' device='disk'>
      <source file='/opt/images/solaris10x86.img'/>
      <target dev='hda' bus='ide'/>
    </disk>
    <disk type='file' device='cdrom'>
      <source file='/home/picasso/Download/sol-10-u7-ga-x86-dvd.iso'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
    </disk>
    <interface type='network'>
      <source network='default'/>
      <mac address='aa:bb:bb:aa:11:11'/>
    </interface>
    <input type='mouse' bus='ps2'/>
    <graphics type='vnc' port='-1' keymap='en-us'/>
    <sound model='es1370'/>
  </devices>
</domain>



Can you attach the output of

# virsh -c qemu:///system capabilities
Comment 8 solanum 2009-05-12 15:34:35 EDT
Created attachment 343649 [details]
virtsh output

This is the requested virtsh output. 

It installed and =seems= to be working (rather slowly), but working nonetheless. 

The shutdown button (if you force shutdown it works) and the OHCI (USB) driver/controller issue.
Comment 9 solanum 2009-05-13 16:08:26 EDT
It did crash when networking was off and the gui of course doesnt work correctly. (not something I particularly care about but it would be nice to have a better video card..)


The shutdown buttons -does- actually get the machine to power down sometimes but not consistantly. 

The NEW thing is I am trying to allocate a second cpu to the system. I tried to add a second processor to it through vm manager software it said it saved it and the new vm still comes up as a single processor. I edited the .xml config file so 
<vcpu>2</vcpu> for that system and it still only is showing 1 processor after doing a force shutdown and a restart. 
I shut vm down, vm manager down, and libvirtd, and checked the vcpu settings. turned it back on the vcpu is now showing two, but the memory setting reverted back to the old smaller value. After waiting a good half an hour, it doesnt appear solaris got much past loading the kernel.
Comment 10 Cole Robinson 2009-06-16 15:15:42 EDT
Okay. there is too much going on in this bug.

Reporter, if you are seeing multiple issues, please file them as separate bugs. Any issues you encounter inside the VM should probably be filed against qemu and can be triaged from there. Let's use this bug to track the original report: virt-manager trying to install a xen guest on a qemu connection. Can you still reproduce this issue?
Comment 11 Mark McLoughlin 2009-06-19 06:57:00 EDT
(In reply to comment #9)

> The NEW thing is I am trying to allocate a second cpu to the system. I tried to
> add a second processor to it through vm manager software it said it saved it
> and the new vm still comes up as a single processor. I edited the .xml config
> file so 
> <vcpu>2</vcpu> for that system and it still only is showing 1 processor after
> doing a force shutdown and a restart. 
> I shut vm down, vm manager down, and libvirtd, and checked the vcpu settings.
> turned it back on the vcpu is now showing two, but the memory setting reverted
> back to the old smaller value.

I think this particular issue is bug #503784

Agree with Cole, though - please file separate bug reports for separate issues
Comment 12 Cole Robinson 2009-08-31 09:13:49 EDT
This bug has been inactive for a while, and since I can't reproduce the original issue, I'm closing as WORKSFORME.

Reporter (solanum), if you are still seeing this issue, please reopen this bug, again posting ~/.virt-manager/virt-manager.log. Any other issues should be filed as separate reports. Thanks.

Note You need to log in before you can comment on or make changes to this bug.